---
title: Network monitor toolbar
slug: Tools/Network_Monitor/toolbar
tags:
  - '110n:priority'
  - Debugging
  - Dev Tools
  - Firefox
  - Guide
  - Networking
  - Tools
---
<p>{{ToolsSidebar}}</p>

<p>The network monitor provides two toolbar areas, one above the main section, and another below.</p>

<h2 id="Toolbar">Toolbar</h2>

<p>The toolbar is at the top of the main network monitor window. (Prior to Firefox 77, this toolbar was arranged somewhat differently.)</p>

<p><img alt="Screenshot of the Network toolbar, without callouts for the parts" src="https://mdn.mozillademos.org/files/17221/Network_toolbar_callouts.png" style="display: block; height: 233px; margin-left: auto; margin-right: auto; width: 1032px;"></p>

<p>It provides:</p>

<ul>
 <li>An icon to clear the <a href="/en-US/docs/Tools/Network_Monitor/request_list">network request list.</a></li>
 <li>A box enabling you to <a href="/en-US/docs/Tools/Network_Monitor/request_list#Filtering_requests">filter requests</a> by URL and by properties.</li>
 <li>A set of tool icons:
  <ul>
   <li><strong>Pause</strong> (or <strong>resume</strong>) recording network log</li>
   <li><strong>Search</strong> the log</li>
   <li><strong>Request Blocking</strong></li>
  </ul>
 </li>
 <li>An array of buttons to filter the network request list by type:
  <ul>
   <li>by the content type of the response</li>
   <li>XHR requests</li>
   <li>WebSocket upgrades and messages (labeled <strong>WS</strong>)</li>
   <li>Other requests</li>
  </ul>
 </li>
 <li>A checkbox that allows you to disable caching.</li>
 <li><strong>Throttling</strong> menu, to simulate various connection types</li>
 <li>A menu of other actions:
  <ul>
   <li><strong>Persist Logs</strong>: By default, the Network Monitor is cleared each time you navigate to a new page or reload the current page. When you select <strong>Persist Logs</strong>, the log is not cleared on page load.</li>
   <li><strong>Import HAR</strong> imports a HAR (HTTP Archive) file.</li>
   <li><strong>Save All as HAR</strong> opens a file dialog box so you can save the current contents of the Network log as a HAR file with the extension <code>.har</code>.</li>
   <li><strong>Copy All as HAR</strong> copies the current contents of the Network log to the clipboard in HAR format.</li>
  </ul>
 </li>
</ul>

<p>A second toolbar area at the bottom of the network monitor provides:</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/16248/network_monitor_bottom_toolbar.png"></p>

<ul>
 <li>An icon to launch <a href="/en-US/docs/Tools/Network_Monitor/Performance_analysis">performance analysis.</a></li>
 <li>A summary of this page, including the number of requests, total size, and total time.</li>
</ul>

<h2 id="Network_Monitor_features">Network Monitor features</h2>

<p>The following articles cover different aspects of using the network monitor:</p>

<ul>
 <li><a href="/en-US/docs/Tools/Network_Monitor/request_list">Network request list</a></li>
 <li><a href="/en-US/docs/Tools/Network_Monitor/request_details">Network request details</a></li>
 <li><a href="/en-US/docs/Tools/Network_Monitor/recording">Network traffic recording</a></li>
 <li><a href="/en-US/docs/Tools/Network_Monitor/Performance_Analysis">Performance analysis</a></li>
 <li><a href="/en-US/docs/Tools/Network_Monitor/Throttling">Throttling</a></li>
</ul>
